Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`protocols`.`sip`.`InMemoryRegistry``

class documentation

`class InMemoryRegistry: (source)`

Constructor: `InMemoryRegistry(domain)`

Implements interfaces: `twisted.protocols.sip.ILocator`, `twisted.protocols.sip.IRegistry`

View In Hierarchy

A simplistic registry for a specific domain.

Method | `__init__` | Undocumented
Method | `getAddress` | Return physical URL of server for logical URL of user.
Method | `getRegistrationInfo` | Get registration info for logical URL.
Method | `registerAddress` | Register the physical address of a logical URL.
Method | `unregisterAddress` | Unregister the physical address of a logical URL.
Instance Variable | `domain` | Undocumented
Instance Variable | `users` | Undocumented
Method | `_expireRegistration` | Undocumented

def __init__(self, domain): (source)

Undocumented

def getAddress(self, userURI): (source)
from `twisted.protocols.sip.ILocator`

Return physical URL of server for logical URL of user.

Parameters
userURI | Undocumented
logicalURL | a logical `URL`.
Returns
Deferred which becomes URL or fails with LookupError.

def getRegistrationInfo(self, userURI): (source)
from `twisted.protocols.sip.IRegistry`

Get registration info for logical URL.

Returns
Deferred of `Registration` object or failure of LookupError.

def registerAddress(self, domainURL, logicalURL, physicalURL): (source)
from `twisted.protocols.sip.IRegistry`

Register the physical address of a logical URL.

Returns
Deferred of `Registration` or failure with RegistrationError.

def unregisterAddress(self, domainURL, logicalURL, physicalURL): (source)
from `twisted.protocols.sip.IRegistry`

Unregister the physical address of a logical URL.

Returns
Deferred of `Registration` or failure with RegistrationError.

domain = (source)

Undocumented

users: `dict` = (source)

Undocumented

def _expireRegistration(self, username): (source)

Undocumented